Bug 974503 - CLI - system task command returns error when failed task id given
CLI - system task command returns error when failed task id given
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Walden Raines
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 05:56 EDT by Ales Dujicek
Modified: 2014-03-12 19:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 19:01:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-06-14 05:56:19 EDT
Description of problem:

"system task" command returns error when failed task's status requested

command works properly during running task:
katello> system task --id 7774f6ad-f2af-4208-8689-0ec57bdaee8e
--------------------------------------------------------------------------------
                                  Remote task
--------------------------------------------------------------------------------

System   : system1
Action   : Package Group Install: @foogroup
Started  : 2013/06/14 09:41:03
Finished : 
Status   : running
Result   : 


but after it is finished:
katello> system task --id 7774f6ad-f2af-4208-8689-0ec57bdaee8e
error: cannot concatenate 'str' and 'list' objects (more in the log file /var/log/katello/client.log)



client.log:
2013-06-14 05:41:15,813 [ERROR][MainThread] error() @ base.py:202 - cannot concatenate 'str' and 'list' objects
2013-06-14 05:41:15,816 [ERROR][MainThread] error() @ base.py:203 - Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/katello/client/cli/base.py", line 215, in main
    ret_code = super(KatelloCLI, self).main(args, command_name, parent_usage)
  File "/usr/lib/python2.6/site-packages/katello/client/core/base.py", line 312, in main
    return subcommand.main(self.args[1:], self.args[0], self._get_usage_line(command_name, parent_usage))
  File "/usr/lib/python2.6/site-packages/katello/client/core/base.py", line 312, in main
    return subcommand.main(self.args[1:], self.args[0], self._get_usage_line(command_name, parent_usage))
  File "/usr/lib/python2.6/site-packages/katello/client/core/base.py", line 390, in main
    return self.run()
  File "/usr/lib/python2.6/site-packages/katello/client/core/system.py", line 322, in run
    task['result'] = "\n" + task['result_description']
TypeError: cannot concatenate 'str' and 'list' objects


Version-Release number of selected component (if applicable):
signo-katello-0.0.9-1.el6.noarch
katello-configure-1.4.3-1.git.62.f050662.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-glue-candlepin-1.4.2-1.git.654.58f211f.el6.noarch
katello-all-1.4.2-1.git.654.58f211f.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-repos-1.4.2-1.el6.noarch
katello-cli-1.4.2-1.git.90.6c7a175.el6.noarch
katello-certs-tools-1.4.2-1.el6.noarch
katello-cli-common-1.4.2-1.git.90.6c7a175.el6.noarch
katello-glue-pulp-1.4.2-1.git.654.58f211f.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-glue-elasticsearch-1.4.2-1.git.654.58f211f.el6.noarch
katello-1.4.2-1.git.654.58f211f.el6.noarch
katello-common-1.4.2-1.git.654.58f211f.el6.noarch
katello-selinux-1.4.3-1.git.4.99dc194.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. system packages --org orgcon-1371196880 --name system1  --install_group foogroup
Performing remote action [ 7774f6ad-f2af-4208-8689-0ec57bdaee8e ]...
2. system task --id 7774f6ad-f2af-4208-8689-0ec57bdaee8e
Comment 1 RHEL Product and Program Management 2013-06-14 06:13:03 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 5 Bryan Kearney 2014-03-12 19:01:41 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.